Skip site navigation (1) Skip section navigation (2)

Re: -HEAD pg_dumpall broken against older backends

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Peter Eisentraut <peter_e(at)gmx(dot)net>
Cc: pgsql-patches(at)postgresql(dot)org, Stefan Kaltenbrunner <stefan(at)kaltenbrunner(dot)cc>
Subject: Re: -HEAD pg_dumpall broken against older backends
Date: 2006-03-29 17:48:10
Message-ID: 23255.1143654490@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-patches
Peter Eisentraut <peter_e(at)gmx(dot)net> writes:
> Stefan Kaltenbrunner wrote:
>> looks like somebody forgot to test some changes to the pg_dumpall
>> code in Revision 1.70 against <8.1 installations -  resulting in the
>> following syntax error:

> Dump output is never expected to be backward compatible.

But pg_dumpall should be able to extract a dump from an older server.

			regards, tom lane

In response to

pgsql-patches by date

Next:From: Andrew DunstanDate: 2006-03-29 17:48:13
Subject: Re: -HEAD pg_dumpall broken against older backends
Previous:From: Peter EisentrautDate: 2006-03-29 17:34:04
Subject: Re: -HEAD pg_dumpall broken against older backends

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group